#include "dlgconfig.h"
#include "ui_dlgconfig.h"

DlgConfig::DlgConfig(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DlgConfig)
{
    ui->setupUi(this);
}

DlgConfig::~DlgConfig()
{
    delete ui;
}


void DlgConfig::setX1(Real val){
    ui->editX1->setText(QString("%1").arg(val));
}

Real DlgConfig::getX1() const{
    bool ok;
    Real val = ui->editX1->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}

void DlgConfig::setX2(Real val){
    ui->editX2->setText(QString("%1").arg(val));
}

Real DlgConfig::getX2() const{
    bool ok;
    Real val = ui->editX2->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}

void DlgConfig::setY1(Real val){
    ui->editY1->setText(QString("%1").arg(val));
}

Real DlgConfig::getY1() const{
    bool ok;
    Real val = ui->editY1->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}

void DlgConfig::setY2(Real val){
    ui->editY2->setText(QString("%1").arg(val));
}

Real DlgConfig::getY2() const{
    bool ok;
    Real val = ui->editY2->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}

void DlgConfig::setRe(Real val){
    ui->editReal->setText(QString("%1").arg(val));
}

Real DlgConfig::getRe() const{
    bool ok;
    Real val = ui->editReal->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}

void DlgConfig::setIm(Real val){
    ui->editImaginary->setText(QString("%1").arg(val));
}

Real DlgConfig::getIm() const{
    bool ok;
    Real val = ui->editImaginary->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}





void DlgConfig::setIterations(Real val){
    ui->editIterations->setText(QString("%1").arg(val));
}

Real DlgConfig::getIterations() const{
    bool ok;
    Real val = ui->editIterations->text().toDouble(&ok);
    if(!ok){
        val = 0;
    }
    return val;
}

void DlgConfig::setExponent(int val){
    ui->sbExponent->setValue(val);
}

int DlgConfig::getExponent() const{
    return ui->sbExponent->value();
}
