#ifndef DLGCONFIG_H
#define DLGCONFIG_H

#include <QDialog>

#include "datatype.h"

namespace Ui {
class DlgConfig;
}

class DlgConfig : public QDialog
{
    Q_OBJECT

public:
    explicit DlgConfig(QWidget *parent = nullptr);
    ~DlgConfig();

    void setX1(Real val);
    Real getX1() const;
    void setX2(Real val);
    Real getX2() const;
    void setY1(Real val);
    Real getY1() const;
    void setY2(Real val);
    Real getY2() const;
    void setExponent(int val);
    int getExponent() const;
    void setIterations(Real val);
    Real getIterations() const;
    void setRe(Real val);
    Real getRe() const;
    void setIm(Real val);
    Real getIm() const;
private:
    Ui::DlgConfig *ui;
};

#endif // DLGCONFIG_H
